* {
  box-sizing: border-box;
  font-family: Calibri;
}

.container {
  max-width: 500px;
  margin: auto;
  background: #ffffff;
  padding: 25px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.container--main {
  max-width: 1000px;
}

.container--prot {
  max-width: 1000px;
}

.container--main input[type="text"] {
  width: 50%;
  font-size: 18px;
}

.Ansprechpartner td:first-child {
  width: 50%;
  background: none;
  font-weight: normal;
}

table {
  width: 100%;
  max-width: 1000px;
  border-collapse: collapse;
  background: #fff;
  margin-top: 20px;
  margin-bottom: 20px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
}

th {
  text-align: left;
  padding: 14px;
  background: #2c3e50;
  color: #fff;
  font-size: 18px;
}

td {
  padding: 12px 14px;
  border-bottom: 1px solid #ddd;
  vertical-align: top;
}

td:first-child {
  width: 35%;
  font-weight: bold;
  background: #bcc6d9;
}

h2 {
  text-decoration: underline;
  text-align: left;
}

label {
  display: block;
  margin-top: 15px;
  font-weight: bold;
}

input[type="file"],
input[type="text"],
input[type="date"],
input[type="number"],
select {
  width: 100%;
  margin-top: 5px;
  border: solid;
  border-radius: 8px;
  padding: 8px 8px;
  margin-bottom: 10px;
  background-color: white;
}

button {
  width: 450px;
  padding: 8px 16px;
  background-color: #2c3e50;
  color: #fff;
  border: 2px solid black;
  border-radius: 16px;
  font-size: 18px;
  font-weight: bold;
  cursor: pointer;
}

.button__prot {
  width: 300px;
}

.hsmreihe{
  width: 100%;
  display: inline-flex;
  justify-content: space-between;
}

.button:hover, 
.button__prot:hover {
  background-color: #436281;
}

.deleteBtn:hover {
  background-color: #771c1c;
}

.hint {
  font-size: 12px;
  color: black;
}

.hint2 {
  font-size: 24px;
  color: #1488;
}

#message {
  margin-top: 15px;
  padding: 10px;
  border-radius: 5px;
  display: none;
}

.success {
  background: #d4edda;
  color: #155724;
}

.error {
  background: #f8d7da;
  color: #721c24;
}

.pdf-icon {
  font-size: 20px;
  margin-right: 8px;
}

a {
  text-decoration: none;
  color: #0066cc;
  display: flex;
  flex-direction: column;
  gap: 4px;
}

a:hover {
  text-decoration: underline;
}

.zuweisungen tr.hover-row {
    background-color: #cce1f3;
}

.zuweisungen td.hover-col {
    background-color: #fff3cd;
}

/* Grundlayout nav */
.navbar {
    background-color: #2c3e50;
    border-radius: 8px;
    margin-bottom: 20px;
}

.menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.menu > li {
    position: relative;
}

.menu > li > a {
    display: block;
    padding: 15px 20px;
    color: white;
    text-decoration: none;
}

.menu > li > a:hover {
    background-color: #436281;
    border-radius: 8px;
}

.menu li:last-child {
  margin-left: auto;
}

.menuBtn {
    display: inline;
    border: 0px;
    width: 100px;
    padding: 15px 20px;
    color: white;
}

.menuBtn:hover {
    background-color: #436281;
    border-radius: 8px;
}

/* Dropdown */
.submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    list-style: none;
    padding: 0;
    margin: 0;
    background-color: white;
    min-width: 280px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
}

.submenu li a {
    display: block;
    padding: 12px 15px;
    color: #003366;
    text-decoration: none;
}

.submenu li a:hover {
    background-color: #f2f2f2;
}

/* Hover-Effekt */
.dropdown:hover .submenu {
    display: block;
}

.Einzugskarte {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 2px;
  border: 25px solid seagreen;
  border-radius: 10px;
  margin: 20px;
  font-size: 20px;
  font-weight: bold;
}
.box {
  padding: 10px;
  text-align: left;
  min-width: none;
  overflow: hidden;
}

.z1 {
  grid-column: span 2;
}

.z2, .z5{
  grid-column: span 6;
}

.z3, .z4 {
  grid-column: span 3;
}

.einzugkat{
  font-size: 16px;
  text-decoration: underline;
}
.Hinweis {
        font-size: 14px;
        color: red;
        padding: 10px;
      }

.signaturbox {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  text-align: center;
}
  
